Package org.kapott.hbci.sepa.jaxb.camt_052_001_04

# Class EntryDetails3

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_04.EntryDetails3

public class EntryDetails3 extends Object

Java class for EntryDetails3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EntryDetails3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Btch" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}BatchInformation2" minOccurs="0"/>
             <element name="TxDtls" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}EntryTransaction4" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected BatchInformation2`
`btch`
`protected List<EntryTransaction4>`
`txDtls`

## Constructor Summary

Constructors
Constructor
Description
`EntryDetails3()`

## Method Summary

Modifier and Type
Method
Description
`BatchInformation2`
`getBtch()`
Gets the value of the btch property.
`List<EntryTransaction4>`
`getTxDtls()`
Gets the value of the txDtls property.
`void`
`setBtch(BatchInformation2 value)`
Sets the value of the btch property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### btch

protected BatchInformation2 btch

### txDtls

protected List<EntryTransaction4> txDtls

## Constructor Details

### EntryDetails3

public EntryDetails3()

## Method Details

### getBtch

public BatchInformation2 getBtch()
Gets the value of the btch property.

Returns:
  possible object is `BatchInformation2`

### setBtch

public void setBtch(BatchInformation2 value)
Sets the value of the btch property.

Parameters:
  `value` - allowed object is `BatchInformation2`

### getTxDtls

public List<EntryTransaction4> getTxDtls()
Gets the value of the txDtls property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the txDtls property.

For example, to add a new item, do as follows:

        getTxDtls().add(newItem);

Objects of the following type(s) are allowed in the list `EntryTransaction4`